# Contributing to Fig

Thanks for taking the time to build out the future of the terminal with us! 🥳

We want to make contributing to Fig as easy and transparent as possible, whether it's:

- Reporting a bug

- Submitting feature requests

- Contributing content or feature changes

## Our repos

We use GitHub to host code, to track issues and feature requests, as well as accept pull requests.

Here are some of our primary repos.

[withfig/fig](https://github.com/withfig/fig): The central repo. All issues taken here.

[withfig/autocomplete](https://github.com/withfig/autocomplete): Collection of all specs for [autocomplete](https://fig.io/docs/autocomplete). Contribute new specs and update old specs here.

[withfig/config](https://github.com/withfig/config): Fig's default configuration at install. Contains apps, installation, and update scripts.

## Contributing your own spec

The [autocomplete docs](https://fig.io/docs/autocomplete) should get you up to speed on how to write a spec and serve as a good reference.

A few things to keep in mind when writing your spec:

- Ensure that the argument field is filled for subcommands and options when an argument is required.
- Make sure all generators are written with valid JavaScript.
- [Test your spec](https://fig.io/docs/autocomplete#testing-your-completion-spec) before submitting a pull request.

**Git Commit Messages**

- Use the present tense ("Add feature" not "Added feature")
- Use the imperative mood ("Move cursor to..." not "Moves cursor to...")
- Limit the first line to 72 characters or less
- Reference issues and pull requests liberally after the first line

## Bug reports and feature requests

We use GitHub issues to track public bugs as well as new feature requests. If you have any input, [open a new issue](https://github.com/withfig/fig)! Note that all issues should be filed under the [withfig/fig](https://github.com/withfig/fig) repo, not under independent feature repos.

## License

By contributing, you agree that your contributions will be licensed under its MIT License.

## Questions and support

For product support, visit our [docs](https://fig.io/docs) and join the [Fig Community](https://fig.io/community) for instant support and discussion.

Any unanswered questions or inquiries? We're always open to chat at hello@fig.io.
